%global vertag Final

Name:           os-maven-plugin
Version:        1.2.3
Release:        1%{?dist}
Summary:        Maven plugin for generating platform-dependent properties
License:        ASL 2.0
URL:            https://github.com/trustin/os-maven-plugin/
BuildArch:      noarch

Source0:        https://github.com/trustin/%{name}/archive/%{name}-%{version}.Final.tar.gz

BuildRequires:  maven-local
BuildRequires:  maven-shared
BuildRequires:  plexus-containers-component-metadata

%description
os-maven-plugin is a Maven extension/plugin that generates various
useful platform-dependent project properties normalized from
${os.name} and ${os.arch}.

${os.name} and ${os.arch} are often subtly different between JVM and
operating system versions or they sometimes contain machine-unfriendly
characters such as whitespaces. This plugin tries to remove such
fragmentation so that you can determine the current operating system
and architecture reliably.

%package javadoc
Summary:        API documentation for %{name}
    
%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}.%{vertag}

# Remove Eclipse plugin (not needed in Fedora)
%pom_remove_dep org.eclipse:ui
find -name EclipseStartup.java -delete
find -name plugin.xml -delete

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Tue Jul  8 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.3-1
- Initial pagkaging
